package com.ho.business.mapper;

import com.ho.business.entity.Topology;
import com.ho.business.entity.TypeContrast;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author yule
* @description 针对表【type_contrast】的数据库操作Mapper
* @createDate 2022-09-03 10:24:57
* @Entity com.ho.business.entity.TypeContrast
*/
@Mapper
public interface TypeContrastMapper {

    int deleteByPrimaryKey(Long id);

    int insert(TypeContrast record);

    int insertSelective(TypeContrast record);

    TypeContrast selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(TypeContrast record);

    int updateByPrimaryKey(TypeContrast record);

    List<TypeContrast> selectByCategory(Integer id);

    TypeContrast getDeviceTypeId(@Param("record") Topology topology);
}
